package cn.com.qmth.examcloud.service.core.entity;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import org.springframework.format.annotation.DateTimeFormat;

@Entity
@Table(name = "ecs_core_student_face_info")
public class StudentFaceInfo implements Serializable {

	private static final long serialVersionUID = -4192537584889662390L;

	@Id
	@GeneratedValue
	private Long id;
	
	@OneToOne
	private Student student;

	private String faceToken;

	private String faceSetToken;
	
	private String photoMD5;
	
	@Temporal(value = TemporalType.DATE)
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;

	@Temporal(value = TemporalType.DATE)
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;

	public static long getSerialVersionUID() {
		return serialVersionUID;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Student getStudent() {
		return student;
	}

	public void setStudent(Student student) {
		this.student = student;
	}

	public String getFaceToken() {
		return faceToken;
	}

	public void setFaceToken(String faceToken) {
		this.faceToken = faceToken;
	}

	public String getFaceSetToken() {
		return faceSetToken;
	}

	public void setFaceSetToken(String faceSetToken) {
		this.faceSetToken = faceSetToken;
	}

	public String getPhotoMD5() {
		return photoMD5;
	}

	public void setPhotoMD5(String photoMD5) {
		this.photoMD5 = photoMD5;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public StudentFaceInfo() {
	}
}
